diff --git a/nvdaHelper/remote/ime.cpp b/nvdaHelper/remote/ime.cpp
index 8a0ad4c..c686d4a 100644
--- a/nvdaHelper/remote/ime.cpp
+++ b/nvdaHelper/remote/ime.cpp
@@ -305,15 +305,20 @@ static bool handleCandidates(HWND hwnd) {
 
 	/* Make sure there is at least one candidate list */
 	DWORD count = 0;
-	DWORD len = ImmGetCandidateListCountW(imc, &count);
+	ImmGetCandidateListCountW(imc, &count);
 	if (!count) {
 		ImmReleaseContext(hwnd, imc);
 		return false;
 	}
 	candidateIMEWindow=hwnd;
 	/* Read first candidate list */
+	DWORD len = ImmGetCandidateList(imc, 0, NULL, 0);
+	if(!len) {
+		ImmReleaseContext(hwnd, imc);
+		return false;
+	}
 	CANDIDATELIST* list = (CANDIDATELIST*)malloc(len);
-	ImmGetCandidateList(imc, 0, list, len);
+	len = ImmGetCandidateList(imc, 0, list, len);
 	ImmReleaseContext(hwnd, imc);
 
 	/* Determine candidates currently being shown */
